Subject: Re: bug#47431: Process Whois connection broken by remote peer.

From: Gregory Heytings <[email-masked]>
Date: Mon, 29 Mar 2021 07:35:37 +0000

>> IOW, without a built-in list, each whois query would create two 
>> requests, one to whois.iana.org, and one to the actual whois server.
>
> I don't see any problems with that, do you?
>

In principle, I don't see any problems.  But I seem to recall that RMS 
dislikes solutions that make unnecessary network connections, or IOW that 
avoidable network connections should be avoided.

If you agree on the general design, I'd be happy to implement it. 
Possibly with a cache to mitigate the above problem.